org.richfaces.fragment.select

## Class RichFacesSelect.AdvancedSelectInteractions

- java.lang.Object
- - org.richfaces.fragment.select.RichFacesSelect.AdvancedSelectInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Enclosing class:
    RichFacesSelect

      public class RichFacesSelect.AdvancedSelectInteractions
      extends Object
      implements VisibleComponentInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesSelect.AdvancedSelectInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.jboss.arquillian.graphene.findby.ByJQuery` | `getGlobalPopup()`
    `TextInputComponentImpl` | `getInput()`
    `protected org.jboss.arquillian.graphene.GrapheneElement` | `getLocalPopup()`
    `protected boolean` | `getOpenByInputClick()`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `protected ScrollingType` | `getScrollingType()`
    `org.openqa.selenium.WebElement` | `getShowButtonElement()`
    `List<org.openqa.selenium.WebElement>` | `getSuggestionsElements()`
    `long` | `getTimeoutForSuggestionsToBeNotVisible()`
    `long` | `getTimeoutForSuggestionsToBeVisible()`
    `boolean` | `isPopupPresent()`
    `boolean` | `isVisible()`
    `void` | `setOpenByInputClick()`
    `void` | `setOpenByInputClick(boolean openByClickOnInput)` Sets opening of select.
    `void` | `setScrollingType()`
    `void` | `setScrollingType(ScrollingType type)` Sets scrolling type.
    `void` | `setTimeoutForSuggestionsToBeNotVisible(long timeoutInMilliseconds)`
    `void` | `setTimeoutForSuggestionsToBeVisible(long timeoutInMilliseconds)`
    `WaitingWrapper` | `waitUntilSuggestionsAreNotVisible()`
    `WaitingWrapper` | `waitUntilSuggestionsAreVisible()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesSelect.AdvancedSelectInteractions

          public RichFacesSelect.AdvancedSelectInteractions()

  - ### Method Detail

    - #### getInput

          public TextInputComponentImpl getInput()

    - #### getOpenByInputClick

          protected boolean getOpenByInputClick()

    - #### getLocalPopup

          protected org.jboss.arquillian.graphene.GrapheneElement getLocalPopup()

    - #### getGlobalPopup

          protected org.jboss.arquillian.graphene.findby.ByJQuery getGlobalPopup()

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

    - #### getScrollingType

          protected ScrollingType getScrollingType()

    - #### getShowButtonElement

          public org.openqa.selenium.WebElement getShowButtonElement()

    - #### getSuggestionsElements

          public List<org.openqa.selenium.WebElement> getSuggestionsElements()

    - #### isPopupPresent

          public boolean isPopupPresent()

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `VisibleComponentInteractions`

    - #### setOpenByInputClick

          public void setOpenByInputClick()

    - #### setOpenByInputClick

          public void setOpenByInputClick(boolean openByClickOnInput)

      Sets opening of select. Default open method is by clicking on the input.
      Parameters:
        `openByClickOnInput` - if true, select will be opened by input clicking (default). If false, the select will be opened by 'show' button of the select.

    - #### setScrollingType

          public void setScrollingType()

    - #### setScrollingType

          public void setScrollingType(ScrollingType type)

      Sets scrolling type. Default value is By_MOUSE.
      Parameters:
        `type` - type of scrolling through the list of options and selecting on of them.

    - #### waitUntilSuggestionsAreNotVisible

          public WaitingWrapper waitUntilSuggestionsAreNotVisible()

    - #### waitUntilSuggestionsAreVisible

          public WaitingWrapper waitUntilSuggestionsAreVisible()

    - #### setTimeoutForSuggestionsToBeNotVisible

          public void setTimeoutForSuggestionsToBeNotVisible(long timeoutInMilliseconds)

    - #### getTimeoutForSuggestionsToBeNotVisible

          public long getTimeoutForSuggestionsToBeNotVisible()

    - #### setTimeoutForSuggestionsToBeVisible

          public void setTimeoutForSuggestionsToBeVisible(long timeoutInMilliseconds)

    - #### getTimeoutForSuggestionsToBeVisible

          public long getTimeoutForSuggestionsToBeVisible()

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.